# Generated by go2rpm
# https://github.com/opencontainers/runc/issues/2076
%ifnarch %{ix86} %{arm}
%bcond_without check
%endif

# https://github.com/opencontainers/runc
%global goipath         github.com/opencontainers/runc
Version:                1.0.0
%global tag             v1.0.0-rc91
%global distprefix      %{nil}

%gometa

%global common_description %{expand:
Runc is a CLI tool for spawning and running containers according to the OCI
specification.}

%global golicenses      LICENSE NOTICE
%global godocs          docs CONTRIBUTING.md MAINTAINERS_GUIDE.md\\\
                        PRINCIPLES.md README.md

Name:           %{goname}
Release:        3.rc91%{?dist}
Summary:        CLI tool for spawning and running containers

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}
# Fix use of ContainerState(status) in libcontainer/container_linux.go
Patch0:         0001-update-runtime-spec.patch

BuildRequires:  golang(github.com/checkpoint-restore/go-criu/v4)
BuildRequires:  golang(github.com/checkpoint-restore/go-criu/v4/rpc)
BuildRequires:  golang(github.com/cilium/ebpf)
BuildRequires:  golang(github.com/cilium/ebpf/asm)
BuildRequires:  golang(github.com/containerd/console)
BuildRequires:  golang(github.com/coreos/go-systemd/v22/activation)
BuildRequires:  golang(github.com/coreos/go-systemd/v22/dbus)
BuildRequires:  golang(github.com/cyphar/filepath-securejoin)
BuildRequires:  golang(github.com/docker/go-units)
BuildRequires:  golang(github.com/godbus/dbus/v5)
BuildRequires:  golang(github.com/golang/protobuf/proto)
BuildRequires:  golang(github.com/moby/sys/mountinfo)
BuildRequires:  golang(github.com/mrunalp/fileutils)
BuildRequires:  golang(github.com/opencontainers/runtime-spec/specs-go)
BuildRequires:  golang(github.com/opencontainers/selinux/go-selinux)
BuildRequires:  golang(github.com/opencontainers/selinux/go-selinux/label)
BuildRequires:  golang(github.com/pkg/errors)
BuildRequires:  golang(github.com/sirupsen/logrus)
BuildRequires:  golang(github.com/syndtr/gocapability/capability)
BuildRequires:  golang(github.com/urfave/cli)
BuildRequires:  golang(github.com/vishvananda/netlink)
BuildRequires:  golang(github.com/vishvananda/netlink/nl)
BuildRequires:  golang(golang.org/x/sys/unix)

%description
%{common_description}

%gopkg

%prep
%goprep
%patch0 -p1

%install
%gopkginstall

%if %{with check}
%check
%gocheck -d libcontainer \
         -d libcontainer/cgroups/fs \
         -d libcontainer/integration \
         -d libcontainer/nsenter \
         -d libcontainer/utils
%endif

%gopkgfiles

%changelog
* Thu Jul 30 17:42:00 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.0-3.rc91
- Update to 1.0.0-rc91

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2.rc10.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun Feb 02 00:26:51 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.0-2.rc10
- Update to 1.0.0-rc10

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-1.rc9.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 10 15:37:23 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.0-1.rc9
- Release 1.0.0-rc9
- Remove binary provided by the runc package (#1760194)

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-1.rc8.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat May 04 17:07:54 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.0-1.rc8
- Initial package
